org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Class Event.EdgePropertyChangedEvent

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyEvent
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyChangedEvent
    - - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.EdgePropertyChangedEvent

- All Implemented Interfaces:
    Event
  Enclosing interface:
    Event

      public static class Event.EdgePropertyChangedEvent
      extends Event.ElementPropertyChangedEvent

  Represents an action where an `Edge` `Property` is added/modified. If the `Property` is new then the `oldValue` will be `null`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event

      `Event.EdgeAddedEvent, Event.EdgePropertyChangedEvent, Event.EdgePropertyRemovedEvent, Event.EdgeRemovedEvent, Event.ElementPropertyChangedEvent, Event.ElementPropertyEvent, Event.VertexAddedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent, Event.VertexPropertyRemovedEvent, Event.VertexRemovedEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgePropertyChangedEvent(Edge edge, Property oldValue, Object newValue)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyEvent

      `fireEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgePropertyChangedEvent

          public EdgePropertyChangedEvent(Edge edge,
                                          Property oldValue,
                                          Object newValue)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.